# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignNominalDateAndTimeAssignment Class Reference

`#include <StepAP214_AutoDesignNominalDateAndTimeAssignment.hxx>`

Inheritance diagram for StepAP214_AutoDesignNominalDateAndTimeAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AutoDesignNominalDateAndTimeAssignment ()
| Returns a AutoDesignNominalDateAndTimeAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DateAndTime)&aAssignedDateAndTime, const Handle(StepBasic_DateTimeRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DateAndTime)&aAssignedDateAndTime, const Handle(StepBasic_DateTimeRole)&aRole, const Handle(StepAP214_HArray1OfAutoDesignDateAndTimeItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfAutoDesignDateAndTimeItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignDateAndTimeItem | Items () const
Standard_EXPORT StepAP214_AutoDesignDateAndTimeItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfAutoDesignDateAndTimeItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignNominalDateAndTimeAssignment::StepAP214_AutoDesignNominalDateAndTimeAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignNominalDateAndTimeAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DateAndTimeAssignment.

virtual Standard_EXPORT void StepAP214_AutoDesignNominalDateAndTimeAssignment::Init | ( | const Handle(StepBasic_DateAndTime)& | aAssignedDateAndTime,
|  | const Handle(StepBasic_DateTimeRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfAutoDesignDateAndTimeItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AutoDesignNominalDateAndTimeAssignment::Init | ( | const Handle(StepBasic_DateAndTime)& | aAssignedDateAndTime,
|  | const Handle(StepBasic_DateTimeRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_DateAndTimeAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfAutoDesignDateAndTimeItem StepAP214_AutoDesignNominalDateAndTimeAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_AutoDesignDateAndTimeItem StepAP214_AutoDesignNominalDateAndTimeAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignNominalDateAndTimeAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignNominalDateAndTimeAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfAutoDesignDateAndTimeItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfAutoDesignDateAndTimeItem StepAP214_AutoDesignNominalDateAndTimeAssignment::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignNominalDateAndTimeAssignment.hxx